Bug 179750 - Weather Report Applet Gets Wrong Forecast for Fort Collins/Lovel
Weather Report Applet Gets Wrong Forecast for Fort Collins/Lovel
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: gnome-applets (Show other bugs)
4.0
All Linux
medium Severity low
: ---
: ---
Assigned To: Ray Strode [halfline]
desktop-bugs@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-02 12:16 EST by Mark T. Voelker
Modified: 2012-06-20 09:22 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 09:22:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark T. Voelker 2006-02-02 12:16:14 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050921 Red Hat/1.0.7-1.4.1 Firefox/1.0.7

Description of problem:
I live and work in Loveland, Colorado.  I set up the Gnome Weather report applet to retrieve weather data using the "Fort Collins/Lovel" location from the preferences menu.  However I noticed that the forecasts seemed to be off by quite a bit compared to other weather forecasts.  I took a look at /usr/share/gweather/Locations.xml to see what code and zone the applet is using.  For getting current conditions, it uses code KFNL, which is the Fort Collins/Loveland municipal airport.  That's fine.  However for retrieving the forecast, it uses zone COZ035.  Zone COZ035 if Larimer (note: Loveland and Fort Collins are in Larimer County) and Jackson counties between 6000 and 9000 feet of elevation.  You can verify this at the following URL:

http://weather.noaa.gov/cgi-bin/iwszone3?Sites=COZ035

Fort Collins, the airport, and most or all of Loveland are below 6000 feet in elevation.  Therefore the correct zone for this location is COZ038:

http://weather.noaa.gov/cgi-bin/iwszone3?Sites=COZ038

The difference in forecasts between these two zones is often fairly dramatic--the higher elevations receive precipitation much more often, particularly in wintertime (the higher elevations get a lot more snow and wind than the lower elevations).  These two cities sit right at the edge of where the Rocky Mountains meet the plains, so the difference in elevation can be a major difference in climate.

You can validate the elevations of Loveland, Fort Collins, and the airport at the following URL's:

City of Fort Collins facts website (run by the city government of Fort Collins): http://www.ci.fort-collins.co.us/fcfacts.php?ID=2


City of Loveland demographics website (run by the city government of Loveland):
http://www.ci.loveland.co.us/econdev/loveland_profile.htm

Ft. Collins/Loveland Municipal Airport info (website run by the city government of Fort Collins):
http://fcgov.com/airport/

Suggested diff for /usr/share/gweather/Locations.xml:
38368c38368
<     <zone>COZ035</zone>
---
>     <zone>COZ038</zone>


Version-Release number of selected component (if applicable):
2.8.0

How reproducible:
Always

Steps to Reproduce:
1.  Right click on the panel and select "Add to Panel...".
2.  Select Weather Report and click the Add button.
3.  Right click on the applet in the panel and select Preferences.
4.  Click on the Location tab and select North America -> United States -> Colorado -> Fort Collins/Lovel.  Click the Close button.
5.  Left click on the applet.  In the window that pops up, click the Forecast tab.
6.  Start ethereal (you may wish to use a capture filter such as "tcp port 80").
7.  Click the Update button in the applet window.
8.  Check the CGI request that you captured.  You will see that it queried zone COZ035.
  

Actual Results:  Got a forecast for Zone COZ035.

Expected Results:  Should have gotten a forecast for Zone COZ038.

Additional info:
Comment 1 Mark T. Voelker 2006-02-02 12:25:21 EST
Hmmm....airport elevation doesn't seem to be listed on the City of Fort Collins
page any more.  Refer to AirNav instead:
http://www.airnav.com/airport/KFNL
Comment 2 Steve Tyler 2009-01-10 10:53:04 EST
FWIW, this is fixed in libgweather-2.24.2-1.fc10.i386.
Comment 3 Jiri Pallich 2012-06-20 09:22:15 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.